## net.i2p.crypto
Class HMAC256Generator

    java.lang.Object
      net.i2p.crypto.HMACGenerator
          net.i2p.crypto.HMAC256Generator

    public class HMAC256Generator

extends HMACGenerator

Calculate the HMAC-SHA256 of a key+message. All the good stuff occurs in `HMac` and `MD5Digest`.

Field Summary

Fields inherited from class net.i2p.crypto.HMACGenerator
`_available`

Constructor Summary
`HMAC256Generator(I2PAppContext context)`

Method Summary
`protected HMac` `acquire()`
`static void` `main(java.lang.String[] args)`

Methods inherited from class net.i2p.crypto.HMACGenerator
`calculate, calculate, verify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HMAC256Generator

    public HMAC256Generator(I2PAppContext context)

Method Detail

### acquire

    protected HMac acquire()

  Overrides:
    `acquire` in class `HMACGenerator`

### main

    public static void main(java.lang.String[] args)